- Qt 6.10
- Qt WebEngine
- QML Types
- RegisterProtocolHandlerRequest
- Qt 6.10.1 Reference Documentation

# RegisterProtocolHandlerRequest QML Type

The RegisterProtocolHandlerRequest type enables accepting or rejecting requests from the registerProtocolHandler API. More...

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.7

- List of all members, including inherited members

## Properties

- origin : url
- scheme : string

## Methods

- void accept()
- void reject()

## Detailed Description

See also WebEngineView::registerProtocolHandlerRequested().

## Property Documentation

origin : url

The URL template for the protocol handler.

This is the second parameter from the registerProtocolHandler call.

scheme : string

The URL scheme for the protocol handler.

This is the first parameter from the registerProtocolHandler call.

## Method Documentation

void accept()

Accepts the request.

Subsequent calls to accept() and reject() are ignored.

void reject()

Accepts the request.

Subsequent calls to accept() and reject() are ignored.